package com.zjrs.zwnw.psam.entity;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.zjrs.zwnw.psam.dto.PsamKglDTO;
import com.zjrs.zwnw.psam.dto.PsamTjDTO;
import com.zjrs.zwnw.psam.po.RsPsamFfxxbPO;

import java.util.List;
import java.util.Map;
/**
 * @author liangxiudong
 * @since 2021-04-07
 */
@Mapper
public interface RsPsamFfxxbMapper extends BaseMapper<RsPsamFfxxbPO> {
    //查询列表
    public Page<Map<String,Object>> getList(Page<Map<String,Object>> page, @Param("dto") PsamKglDTO dto);
    //单位信息维护：查询列表
    public Page<Map<String,Object>> kdwwhGetList(Page<Map<String,Object>> page, @Param("dto") PsamKglDTO dto);
    //单位信息维护：查询信息
    public Map<String,Object> kdwwhGetInfo(@Param("dto") PsamKglDTO dto);
    //单位信息维护：查询信息
    public List<PsamTjDTO> getKzttjList();
    //单位信息维护：查询信息
    public Page<PsamTjDTO> getShsltjList(Page<PsamTjDTO> page, @Param("dto") PsamKglDTO dto);
    //单位信息维护：查询信息
    public List<PsamTjDTO> exportShsltjList(@Param("dto") PsamKglDTO dto);
    //单位信息维护：查询信息
    public Page<PsamTjDTO> getJgtjList(Page<PsamTjDTO> page, @Param("dto") PsamKglDTO dto);
    //单位信息维护：查询信息
    public Page<Map<String,Object>> getJgtjDetailList(Page<Map<String,Object>> page, @Param("dto") PsamKglDTO dto);
    //单位信息维护：查询信息
    public List<PsamTjDTO> exportJgtjList(@Param("dto") PsamKglDTO dto);
    //单位信息维护：查询信息
    public Page<PsamTjDTO> getShtjList(Page<PsamTjDTO> page, @Param("dto") PsamKglDTO dto);
    //单位信息维护：查询信息
    public List<PsamTjDTO> exportShtjList(@Param("dto") PsamKglDTO dto);
    //单位信息维护：查询信息
    public Page<PsamTjDTO> getShtjDetailList(Page<PsamTjDTO> page, @Param("dto") PsamKglDTO dto);

}
